## kstars 2.9.4

=== CMakeLists.txt ===
PROJECT(kstars CXX C)

set (KStars_VERSION_MAJOR 2)
set (KStars_VERSION_MINOR 9)
set (KStars_VERSION_REVISION 4)
set (CMAKE_CXX_STANDARD 11)
#Build KStars Lite with -DKSTARS_LITE=ON
option(BUILD_KSTARS_LITE "Build KStars Lite" OFF)
if(BUILD_KSTARS_LITE)
    add_definitions(-DKSTARS_LITE)
endif(BUILD_KSTARS_LITE)
# minimal requirements
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

string(TIMESTAMP KSTARS_BUILD_TS UTC)

if(BUILD_KSTARS_LITE)
    set (QT_MIN_VERSION "5.7.0") #QtQuickControls 2 is available only in the Qt 5.7.0
else()
    set (QT_MIN_VERSION "5.4.0")
endif()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Ccache support
IF (ANDROID OR UNIX OR APPLE)
    FIND_PROGRAM(CCACHE_FOUND ccache)
    SET(CCACHE_SUPPORT OFF CACHE BOOL "Enable ccache support")
    IF ((CCACHE_FOUND OR ANDROID) AND CCACHE_SUPPORT MATCHES ON)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
    ENDIF ()
ENDIF ()

if(CMAKE_SYSTEM_NAME STREQUAL Android)
    add_definitions(-DANDROID -D__STDC_LIMIT_MACROS)
    set(ANDROID TRUE)
endif()

if(CMAKE_TOOLCHAIN_FILE STREQUAL ${CMAKE_SOURCE_DIR}/android/toolchain-android.cmake)
    include(${CMAKE_BINARY_DIR}/kf5/kde/install/share/ECM/cmake/ECMConfig.cmake)
endif()

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

if(BUILD_KSTARS_LITE)
    if(CMAKE_TOOLCHAIN_FILE STREQUAL ${CMAKE_SOURCE_DIR}/android/toolchain-android.cmake)
        set(QT_ANDROID $ENV{QT_ANDROID})
        include(${QT_ANDROID}/lib/cmake/Qt5/Qt5Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Core/Qt5CoreConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Gui/Qt5GuiConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Qml/Qt5QmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Quick/Qt5QuickConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5QuickControls2/Qt5QuickControls2Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Xml/Qt5XmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Svg/Qt5SvgConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Sql/Qt5SqlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Network/Qt5NetworkConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Positioning/Qt5PositioningConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Concurrent/Qt5ConcurrentConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5AndroidExtras/Qt5AndroidExtrasConfig.cmake)
    else()
        if(ANDROID)
            list(APPEND QT_EXTRA_COMPONENTS AndroidExtras)
        endif()
        find_package(Qt5 5.7 REQUIRED COMPONENTS Gui Qml Quick QuickControls2 Xml Svg Sql Network Positioning Concurrent ${QT_EXTRA_COMPONENTS})
    endif()
else()
    #find_package(Qt5 5.4 REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg Network PrintSupport Positioning Concurrent)
    find_package(Qt5 5.4 REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg Network PrintSupport Concurrent)
endif()
include(ExternalProject)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(KDEInstallDirs)
include(MacroBoolTo01)
include(ECMQtDeclareLoggingCategory)
if(NOT CMAKE_TOOLCHAIN_FILE STREQUAL ${CMAKE_SOURCE_DIR}/android/toolchain-android.cmake)
    #We get error "could not find main method" with this module
    include(KDECompilerSettings NO_POLICY_SCOPE)
endif()
include(KDECMakeSettings)
include(FeatureSummary)

# Load the frameworks we need
if(BUILD_KSTARS_LITE)
    if(CMAKE_TOOLCHAIN_FILE STREQUAL ${CMAKE_SOURCE_DIR}/android/toolchain-android.cmake)
        set(KF5_VERSION 5.28.0)
        set(KF5_HOST_TOOLING /usr/lib/x86_64-linux-gnu/cmake/)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Config/KF5ConfigConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5I18n/KF5I18nConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Plotting/KF5PlottingConfig.cmake)
    else()
        find_package(KF5 REQUIRED COMPONENTS Config I18n Plotting)
    endif()
else(BUILD_KSTARS_LITE)
    # Find Optional package NotifyConfig for desktop notifications
    find_package(KF5 COMPONENTS NotifyConfig)
    MACRO_BOOL_TO_01(KF5NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

    find_package(KF5 REQUIRED COMPONENTS
      Auth
      Config
      Crash
      DocTools
      WidgetsAddons
      NewStuff
      I18n
      KIO
      XmlGui
      Plotting
      Notifications
    )
endif(BUILD_KSTARS_LITE)

## Eigen3 Library
find_package(Eigen3 REQUIRED)
add_definitions(${EIGEN_DEFINITIONS})
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})

## CFITSIO Library
if(ANDROID)
    if(CMAKE_TOOLCHAIN_FILE STREQUAL ${CMAKE_SOURCE_DIR}/android/toolchain-android.cmake)
        set(extra_cmake "-DM_LIB=-lm")
    endif()
    externalproject_add(cfitsio SOURCE_DIR "${CMAKE_BINARY_DIR}/android/3rdparty/cfitsio"
        URL https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/cfitsio3370.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/android/3rdparty/cfitsio && dos2unix ${CMAKE_BINARY_DIR}/android/3rdparty/cfitsio/CMakeLists.txt && patch -p1 < ${CMAKE_SOURCE_DIR}/android/3rdparty/cfitsio.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} ${extra_cmake}
        BUILD_COMMAND make cfitsio
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(CFITSIO_FOUND TRUE)
    set(CFITSIO_INCLUDE_DIR PUBLIC ${CMAKE_BINARY_DIR}/android/3rdparty/cfitsio)
    set(CFITSIO_LIBRARIES ${CMAKE_BINARY_DIR}/android/3rdparty/cfitsio/libcfitsio.a)
else()
    if(BUILD_KSTARS_LITE)
        find_package(CFitsio REQUIRED)
    else()
        find_package(CFitsio)
    endif()
endif()
MACRO_BOOL_TO_01(CFITSIO_FOUND HAVE_CFITSIO)
set_package_properties(CFitsio PROPERTIES DESCRIPTION "FITS IO Library" URL "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" TYPE OPTIONAL PURPOSE "Support for the FITS (Flexible Image Transport System) data format in KStars.")

## INDI Library
if (ANDROID)
    set(QT_ANDROID $ENV{QT_ANDROID})
    if(CMAKE_TOOLCHAIN_FILE STREQUAL ${CMAKE_SOURCE_DIR}/android/toolchain-android.cmake)
        set(extra_cmake -DCMAKE_AR=${ANDROID_NDK_ROOT}/toolchains/llvm/prebuilt/linux-x86_64/bin/llvm-ar)
    endif()
    externalproject_add(indi SOURCE_DIR "${CMAKE_BINARY_DIR}/android/indi"
        URL https://github.com/indilib/indi/archive/master.zip
        CONFIGURE_COMMAND cd libindi && cmake . -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} \\
             -DINDI_BUILD_POSIX_CLIENT=OFF -DINDI_BUILD_SERVER=OFF -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_UNITTESTS=OFF \\
             -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_QT5_CLIENT=ON -DINDI_CALCULATE_MINMAX=ON \\
             -DCFITSIO_DIR=${CMAKE_BINARY_DIR}/android/3rdparty/cfitsio -DQT_ANDROID=${QT_ANDROID} -DCMAKE_PREFIX_PATH=${QT_ANDROID} ${extra_cmake}
        BUILD_COMMAND make -C libindi
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(INDI_FOUND TRUE)
    set(INDI_INCLUDE_DIR ${CMAKE_BINARY_DIR}/android/indi/libindi/libs/indibase ${CMAKE_BINARY_DIR}/android/indi/libindi ${CMAKE_BINARY_DIR}/android/indi/libindi/libs)
    set(INDI_CLIENT_ANDROID_LIBRARIES ${CMAKE_BINARY_DIR}/android/indi/libindi/libindiclientqt.a)
else ()
    find_package(INDI 1.6.1)
endif ()
MACRO_BOOL_TO_01(INDI_FOUND HAVE_INDI)
set_package_properties(INDI PROPERTIES DESCRIPTION "Astronomical instrumentation control" URL "http://www.indilib.org" TYPE OPTIONAL PURPOSE "Support for controlling astronomical devices on Linux with KStars.")

## Libraw
if(BUILD_KSTARS_LITE AND ANDROID)
    # OpenMP needed for LibRaw
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgomp")

    externalproject_add(raw SOURCE_DIR "${CMAKE_BINARY_DIR}/android/3rdparty/libraw"
        URL https://www.libraw.org/data/LibRaw-0.17.2.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/android/3rdparty/libraw && wget -qO- https://github.com/LibRaw/LibRaw-cmake/archive/master.zip | jar xvf /dev/stdin && rm -rf cmake && mv -f LibRaw-cmake-master/CMakeLists.txt LibRaw-cmake-master/cmake . && patch -p1 < ${CMAKE_SOURCE_DIR}/android/3rdparty/libraw.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} -DENABLE_OPENMP=OFF -DENABLE_LCMS=OFF
        BUILD_COMMAND make raw
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")
    include_directories(${CMAKE_BINARY_DIR}/android/3rdparty/libraw)
    set(LIBRAW_LIBRARIES ${CMAKE_BINARY_DIR}/android/3rdparty/libraw/libraw.a)
    set(LibRaw_FOUND true)
else()
    find_package(LibRaw)
endif()
MACRO_BOOL_TO_01(LibRaw_FOUND HAVE_LIBRAW)
set_package_properties(LibRaw PROPERTIES DESCRIPTION "Library for reading RAW files" URL "http://www.libraw.org" TYPE OPTIONAL PURPOSE "Support for reading and displaying RAW files in KStars.")

## WCS Library
find_package(WCSLIB)
MACRO_BOOL_TO_01(WCSLIB_FOUND HAVE_WCSLIB)
set_package_properties(WCSLIB PROPERTIES DESCRIPTION "World Coordinate System library" URL "http://www.atnf.csiro.au/people/mcalabre/WCS" TYPE OPTIONAL PURPOSE "WCS enables KStars to read and process world coordinate systems in FITS header.")

## XPlanet
find_package(Xplanet)
MACRO_BOOL_TO_01(XPLANET_FOUND HAVE_XPLANET)
set_package_properties(Xplanet PROPERTIES DESCRIPTION "Renders an image of all the major planets and most satellites" URL "http://xplanet.sourceforge.net" TYPE OPTIONAL PURPOSE "Gives KStars support for xplanet.")

# Qt5 Data Visualization
find_package(Qt5DataVisualization)
MACRO_BOOL_TO_01(Qt5DataVisualization_FOUND HAVE_DATAVISUALIZATION)

## Astrometry.net
find_package(AstrometryNet)
MACRO_BOOL_TO_01(ASTROMETRYNET_FOUND HAVE_ASTROMETRYNET)
set_package_properties(AstrometryNet PROPERTIES DESCRIPTION "Astrometrics Library" URL "http://www.astrometry.net" TYPE OPTIONAL PURPOSE "Support for plate solving in KStars.")

## OpenGL
find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "Open Graphics Library" URL "http://www.opengl.org" TYPE OPTIONAL PURPOSE "Support for hardware rendering in KStars.")

if (${KF5_VERSION} VERSION_GREATER 5.17.0)
SET(HAVE_KF5WIT 1)
else()
SET(HAVE_KF5WIT 0)
endif()

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_definitions(-DQT_STRICT_ITERATORS)
endif()
add_definitions(-DQT_NO_CAST_TO_ASCII)

if (UNIX)
  add_definitions(-Dfexceptions)

  # TEMPORARY: To disable QCustomPlot warning until 2.0.0 is released which fixes these warnings
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-non-virtual-dtor")

  # Optimize binary size by dropping unneeded symbols at linking stage
  if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdata-sections -ffunction-sections")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--gc-sections")
  endif()
endif(UNIX)

# Add security (hardening flags)
IF (UNIX OR APPLE OR ANDROID)
    SET(SEC_COMP_FLAGS "-D_FORTIFY_SOURCE=2 -fstack-protector-all -Wcast-align -fPIE")
    IF (NOT ANDROID AND NOT CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND NOT APPLE)
        SET(SEC_COMP_FLAGS "${SEC_COMP_FLAGS} -Wa,--noexecstack")
    ENDIF ()
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${SEC_COMP_FLAGS}")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEC_COMP_FLAGS}")
    SET(SEC_LINK_FLAGS "")
    IF (NOT APPLE)
        SET(SEC_LINK_FLAGS "${SEC_LINK_FLAGS} -Wl,-z,nodump -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
    ENDIF ()
    IF (NOT ANDROID AND NOT APPLE)

=== datahandlers/CMakeLists.txt ===

include_directories(
    ${kstars_SOURCE_DIR}/kstars/tools
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
    ${kstars_SOURCE_DIR}/kstars/kstarslite
)

SET(LibKSDataHandlers_SRC
    ${kstars_SOURCE_DIR}/datahandlers/catalogentrydata.cpp
    ${kstars_SOURCE_DIR}/datahandlers/catalogdata.cpp
    ${kstars_SOURCE_DIR}/datahandlers/ksparser.cpp
    ${kstars_SOURCE_DIR}/datahandlers/catalogdb.cpp)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(LibKSDataHandlers LibKSDataHandlers_SRC 10 cpp)
ENDIF ()

ecm_qt_declare_logging_category(LibKSDataHandlers_SRC HEADER catalog_debug.h IDENTIFIER KSTARS_CATALOG CATEGORY_NAME org.kde.kstars.catalog)

add_library(LibKSDataHandlers STATIC ${LibKSDataHandlers_SRC})

# Added this because includedir was missing, is this required?
if(BUILD_KSTARS_LITE)
    target_link_libraries(LibKSDataHandlers KF5::I18n Qt5::Sql Qt5::Core Qt5::Gui)
else(BUILD_KSTARS_LITE)
    target_link_libraries(LibKSDataHandlers KF5::WidgetsAddons KF5::I18n Qt5::Sql Qt5::Core Qt5::Gui)
endif(BUILD_KSTARS_LITE)

=== doc/CMakeLists.txt ===
########### install files ###############
#
if(NOT BUILD_KSTARS_LITE)
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kstars)
endif(NOT BUILD_KSTARS_LITE)

=== kstars/CMakeLists.txt ===
add_subdirectory( data )
add_subdirectory( icons )
add_subdirectory( htmesh )

if (${KF5_VERSION} VERSION_EQUAL 5.18.0 OR ${KF5_VERSION} VERSION_GREATER 5.18.0)
    SET(HAVE_KF5WIT 1)
    if(NOT BUILD_KSTARS_LITE)
        add_subdirectory( tools/whatsinteresting/qml)
    endif(NOT BUILD_KSTARS_LITE)
else()
    SET(HAVE_KF5WIT 0)
endif()

if (ANDROID AND CMAKE_TOOLCHAIN_FILE)
    include(${CMAKE_TOOLCHAIN_FILE})
endif ()

if (NOT ANDROID)
    find_package(ZLIB REQUIRED)
    find_package(Threads REQUIRED)
endif ()

if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES=1)
    add_definitions(-DNOMINMAX)
endif()

include_directories(
    ${kstars_SOURCE_DIR}/kstars
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
)

if(BUILD_KSTARS_LITE)
    include_directories(
        ${kstars_SOURCE_DIR}/kstars/triangle
    )
else(BUILD_KSTARS_LITE)
    include_directories(
        ${kstars_SOURCE_DIR}/kstars/tools
    )
endif(BUILD_KSTARS_LITE)

if(NOT BUILD_KSTARS_LITE)
    if (CFITSIO_FOUND)

        set (sep_SRCS
            fitsviewer/sep/analyse.c
            fitsviewer/sep/aperture.c
            fitsviewer/sep/background.c
            fitsviewer/sep/convolve.c
            fitsviewer/sep/deblend.c
            fitsviewer/sep/extract.c
            fitsviewer/sep/lutz.c
            fitsviewer/sep/util.c
            )

        set (fits_SRCS
            fitsviewer/fitslabel.cpp
            fitsviewer/fitsviewer.cpp
            fitsviewer/fitstab.cpp
            fitsviewer/fitsdebayer.cpp
            fitsviewer/opsfits.cpp
            )

        if (Qt5DataVisualization_FOUND)
        set(fits_SRCS ${fits_SRCS} fitsviewer/starprofileviewer.cpp)
        endif()

        set (fits2_SRCS
            fitsviewer/bayer.c
            fitsviewer/fitshistogram.cpp
            fitsviewer/fitsdata.cpp
            fitsviewer/fitsview.cpp
            )
        set (fitsui_SRCS
            fitsviewer/fitsheaderdialog.ui
            fitsviewer/statform.ui
            fitsviewer/fitsdebayer.ui
            indi/streamform.ui
            indi/recordingoptions.ui
            fitsviewer/fitshistogramui.ui
            fitsviewer/opsfits.ui
            )
        include_directories(${CFITSIO_INCLUDE_DIR})

    endif(CFITSIO_FOUND)
endif(NOT BUILD_KSTARS_LITE)

IF (CFITSIO_FOUND AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
    IF (SANITIZERS)
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/bayer.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -fno-sanitize=address,undefined -fomit-frame-pointer")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitsdata.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitshistogram.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/fitsview.cpp PROPERTIES COMPILE_FLAGS "-fno-sanitize=address,undefined -fomit-frame-pointer")
    ELSE ()
        SET_SOURCE_FILES_PROPERTIES(fitsviewer/bayer.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    ENDIF ()
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/analyse.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/aperture.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -Wno-pointer-arith")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/background.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/deblend.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align -Wno-incompatible-pointer-types-discards-qualifiers")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/extract.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/lutz.c PROPERTIES COMPILE_FLAGS "-Wno-cast-align")
    SET_SOURCE_FILES_PROPERTIES(fitsviewer/sep/util.c PROPERTIES COMPILE_FLAGS "-Wno-incompatible-pointer-types-discards-qualifiers")
ENDIF ()

if (INDI_FOUND)
    if(BUILD_KSTARS_LITE)
            set (fits_SRCS
                fitsviewer/fitsdata.cpp
                )
            set (fits2_SRCS
                fitsviewer/bayer.c
                )
                include_directories(${CFITSIO_INCLUDE_DIR})
                include_directories(${NOVA_INCLUDE_DIR})

            set (indi_SRCS
                indi/clientmanagerlite.cpp
                indi/inditelescopelite.cpp
                kstarslite/skyitems/skynodes/crosshairnode.cpp
                kstarslite/skyitems/telescopesymbolsitem.cpp
            )
    else(BUILD_KSTARS_LITE)
            set(indiui_SRCS
                indi/streamform.ui
                indi/drivermanager.ui
                indi/opsindi.ui
                indi/indihostconf.ui
                indi/telescopewizard.ui
            )

            set(indi_SRCS
                indi/drivermanager.cpp
                indi/servermanager.cpp
                indi/clientmanager.cpp
                indi/guimanager.cpp
                indi/driverinfo.cpp
                indi/deviceinfo.cpp
                indi/indidevice.cpp
                indi/indigroup.cpp
                indi/indiproperty.cpp
                indi/indielement.cpp
                indi/indistd.cpp
                indi/indilistener.cpp
                indi/inditelescope.cpp
                indi/indiccd.cpp
                indi/indifocuser.cpp
                indi/indifilter.cpp
                indi/indidome.cpp
                indi/indiweather.cpp
                indi/indicap.cpp
                indi/indilightbox.cpp
                indi/indidbus.cpp
                indi/opsindi.cpp
                indi/telescopewizardprocess.cpp
                indi/streamwg.cpp
                indi/videowg.cpp
                indi/indiwebmanager.cpp
            )

            if (CFITSIO_FOUND)
                set(ekosui_SRCS
                    ekos/opsekos.ui
                    ekos/ekosmanager.ui
                    ekos/profileeditor.ui
                    ekos/profilewizard.ui
                    # Scheduler
                    ekos/scheduler/scheduler.ui
                    ekos/scheduler/mosaic.ui
                    # Capture
                    ekos/capture/capture.ui
                    ekos/capture/calibrationoptions.ui
                    ekos/capture/dslrinfo.ui
                    ekos/capture/rotatorsettings.ui
                    ekos/capture/customproperties.ui
                    # Align
                    ekos/align/align.ui
                    ekos/align/opsastrometry.ui
                    ekos/align/opsalign.ui
                    ekos/align/opsastrometrycfg.ui
                    ekos/align/opsastrometryindexfiles.ui
                    ekos/align/mountmodel.ui
                    # Focus
                    ekos/focus/focus.ui
                    # Mount
                    ekos/mount/mount.ui                    
                    # Guide
                    ekos/guide/guide.ui
                    ekos/guide/opscalibration.ui
                    ekos/guide/opsguide.ui
                    #TODO remove from GIT
                    #ekos/guide/guider.ui
                    #ekos/guide/rcalibration.ui
                    # Auxiliary
                    ekos/auxiliary/filtersettings.ui
                    ekos/auxiliary/opslogs.ui
                )

            set(ekos_SRCS
                       ekos/ekos.cpp
                       ekos/ekosmanager.cpp
                       ekos/profileeditor.cpp
                       ekos/profilewizard.cpp
                       ekos/qMDNS.cpp
                       ekos/opsekos.cpp                       

                       # Auxiliary
                       ekos/auxiliary/dome.cpp
                       ekos/auxiliary/weather.cpp
                       ekos/auxiliary/dustcap.cpp
                       ekos/auxiliary/darklibrary.cpp
                       ekos/auxiliary/filtermanager.cpp
                       ekos/auxiliary/filterdelegate.cpp
                       ekos/auxiliary/opslogs.cpp

                       # Capture
                       ekos/capture/capture.cpp
                       ekos/capture/sequencejob.cpp
                       ekos/capture/dslrinfodialog.cpp
                       ekos/capture/rotatorsettings.cpp
                       ekos/capture/customproperties.cpp

                       # Scheduler
                       ekos/scheduler/schedulerjob.cpp
                       ekos/scheduler/scheduler.cpp
                       ekos/scheduler/mosaic.cpp

                       # Focus
                       ekos/focus/focus.cpp

                       # Mount
                       ekos/mount/mount.cpp

                       # Align
                       ekos/align/align.cpp
                       ekos/align/alignview.cpp
                       ekos/align/astrometryparser.cpp
                       ekos/align/opsastrometry.cpp
                       ekos/align/opsalign.cpp
                       ekos/align/opsastrometrycfg.cpp
                       ekos/align/opsastrometryindexfiles.cpp
                       ekos/align/offlineastrometryparser.cpp
                       ekos/align/onlineastrometryparser.cpp
                       ekos/align/remoteastrometryparser.cpp

                       # Guide
                       ekos/guide/guide.cpp
                       ekos/guide/guideinterface.cpp                       
                       ekos/guide/opscalibration.cpp
                       ekos/guide/opsguide.cpp
                       # Internal Guide                       
                       ekos/guide/internalguide/gmath.cpp
                       ekos/guide/internalguide/internalguider.cpp
                       #ekos/guide/internalguide/guider.cpp
                       ekos/guide/internalguide/matr.cpp
                       #ekos/guide/internalguide/rcalibration.cpp
                       ekos/guide/internalguide/vect.cpp
                       ekos/guide/internalguide/imageautoguiding.cpp
                       # External Guide
                       ekos/guide/externalguide/phd2.cpp
                       ekos/guide/externalguide/linguider.cpp
           )
            endif(CFITSIO_FOUND)
    endif(BUILD_KSTARS_LITE)

    include_directories(${INDI_INCLUDE_DIR})
endif (INDI_FOUND)

if(NOT BUILD_KSTARS_LITE)
    if(WCSLIB_FOUND)
      include_directories( ${WCSLIB_INCLUDE_DIR} )
    endif(WCSLIB_FOUND)

    if(XPLANET_FOUND)
        set(xplanet_SRCS
            xplanet/opsxplanet.cpp
        )

        set(xplanetui_SRCS
            xplanet/opsxplanet.ui
        )
    endif(XPLANET_FOUND)

    ########### next target ###############
    set(libkstarstools_SRCS
        tools/altvstime.cpp
        tools/avtplotwidget.cpp
        tools/calendarwidget.cpp
        tools/conjunctions.cpp
#        tools/jmoontool.cpp
        tools/ksconjunct.cpp
        tools/eqplotwidget.cpp
        tools/astrocalc.cpp
        tools/modcalcangdist.cpp
        tools/modcalcapcoord.cpp
        tools/modcalcaltaz.cpp
        tools/modcalcdaylength.cpp
        tools/modcalceclipticcoords.cpp
        tools/modcalcvizequinox.cpp
        tools/modcalcgalcoord.cpp
        tools/modcalcgeodcoord.cpp
        tools/modcalcjd.cpp
        tools/modcalcplanets.cpp
        tools/modcalcsidtime.cpp
        tools/modcalcvlsr.cpp
        tools/observinglist.cpp
        tools/obslistpopupmenu.cpp
        tools/sessionsortfilterproxymodel.cpp
        tools/obslistwizard.cpp
        tools/planetviewer.cpp
        tools/pvplotwidget.cpp
        tools/scriptargwidgets.cpp
        tools/scriptbuilder.cpp
        tools/scriptfunction.cpp
        tools/skycalendar.cpp
        tools/wutdialog.cpp
        tools/flagmanager.cpp
        tools/horizonmanager.cpp
        tools/nameresolver.cpp
        tools/polarishourangle.cpp

        #FIXME Port to KF5
        #tools/moonphasetool.cpp

        tools/starhopper.cpp

=== Tests/kstars_lite_ui/CMakeLists.txt ===

SET(KSTARS_LITE_UI_TESTS_SRC kstars_lite_ui_tests.cpp)

ECM_ADD_APP_ICON(KSTARS_UI_TESTS_SRC ICONS
        ../../kstars/icons/16-apps-kstars.png
        ../../kstars/icons/32-apps-kstars.png
        ../../kstars/icons/48-apps-kstars.png
        ../../kstars/icons/64-apps-kstars.png
        ../../kstars/icons/128-apps-kstars.png
        )

ADD_EXECUTABLE(kstars_lite_ui_tests ${KSTARS_LITE_UI_TESTS_SRC})
TARGET_LINK_LIBRARIES(kstars_lite_ui_tests ${TEST_LIBRARIES} -lpthread)

IF (INDI_FOUND)
    INCLUDE_DIRECTORIES(${INDI_INCLUDE_DIR})
    TARGET_LINK_LIBRARIES(kstars_lite_ui_tests ${INDI_CLIENT_LIBRARIES} ${NOVA_LIBRARIES} z)
ENDIF ()

ADD_TEST(NAME KStarsLiteUiTests COMMAND ${CMAKE_CURRENT_BINARY_DIR}/kstars)

=== Tests/kstars_ui/CMakeLists.txt ===

SET(KSTARS_UI_TESTS_SRC kstars_ui_tests.cpp)

include_directories(${CFITSIO_INCLUDE_DIR})

ECM_ADD_APP_ICON(KSTARS_UI_TESTS_SRC ICONS
        ../../kstars/icons/16-apps-kstars.png
        ../../kstars/icons/32-apps-kstars.png
        ../../kstars/icons/48-apps-kstars.png
        ../../kstars/icons/64-apps-kstars.png
        ../../kstars/icons/128-apps-kstars.png
        )

QT5_ADD_RESOURCES(KSTARS_UI_TESTS_SRC ../../kstars/data/kstars.qrc)

ADD_EXECUTABLE(kstars_ui_tests ${KSTARS_UI_TESTS_SRC})
TARGET_LINK_LIBRARIES(kstars_ui_tests ${TEST_LIBRARIES} ${CFITSIO_LIBRARIES})

IF (INDI_FOUND)
    INCLUDE_DIRECTORIES(${INDI_INCLUDE_DIR})
    TARGET_LINK_LIBRARIES(kstars_ui_tests ${INDI_CLIENT_LIBRARIES} ${NOVA_LIBRARIES} z)
ENDIF ()

ADD_TEST(NAME KStarsUiTests COMMAND ${CMAKE_CURRENT_BINARY_DIR}/kstars)

=== kstars/kstarslite/qml/CMakeLists.txt ===
#install_files
install( FILES main.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml )

install( FILES constants/Constants.qml
    constants/qmldir
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/constants )

install( FILES modules/BottomMenu.qml
    modules/Splash.qml
    modules/TopMenu.qml
    modules/KSPage.qml
    modules/KSTab.qml
    modules/KSListView.qml
    modules/SkyMapLiteWrapper.qml
    modules/TimePage.qml
    modules/KSLabel.qml
    modules/KSTabBarArrow.qml
    modules/KSTabButton.qml
    modules/KSText.qml
    modules/KSTextField.qml
    modules/KSButton.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/modules )

install( FILES dialogs/FindDialog.qml
    dialogs/LocationDialog.qml
    dialogs/DetailsDialog.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/dialogs )

install( FILES dialogs/helpers/DetailsAddLink.qml
    dialogs/helpers/LocationEdit.qml
    dialogs/helpers/DetailsItem.qml
    dialogs/helpers/LocationLoading.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/dialogs/helpers )

install( FILES dialogs/menus/DetailsLinkMenu.qml
    dialogs/menus/LocationsGeoMenu.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/dialogs/menus )

install( FILES modules/popups/ColorSchemePopup.qml
    modules/popups/ProjectionsPopup.qml
    modules/popups/FOVPopup.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/modules/popups)

install ( FILES modules/menus/ContextMenu.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/modules/menus)

install( FILES modules/helpers/TopMenuButton.qml
    modules/helpers/BottomMenuButton.qml
    modules/helpers/TimeSpinBox.qml
    modules/helpers/PassiveNotification.qml
    modules/helpers/Units.qml
    modules/helpers/KSMenuItem.qml
    modules/helpers/TelescopeControl.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/modules/helpers )

install( FILES modules/tutorial/TutorialStep1.qml
        modules/tutorial/TutorialStep2.qml
        modules/tutorial/TutorialStep3.qml
        modules/tutorial/TutorialStep4.qml
        modules/tutorial/TutorialStep5.qml
        modules/tutorial/TutorialPopup.qml
        modules/tutorial/TutorialExitPopup.qml
        modules/tutorial/TutorialPane.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/kstars/kstarslite/qml/modules/tutorial )

add_subdirectory(images)
add_subdirectory(indi)

=== debian/changelog ===
kstars (5:2.9.4-1ubuntu1) bionic; urgency=medium

  * New upstream release (2.9.4). (LP: #1763448)
  * Merge with debian unstable. Remaining changes:
    - debian/patches: kubuntu_disable-KStarsUiTests.patch 
    - Kubuntu VCS links
    - Breaks/Replaces against KDE l10n packages to suit Kubuntu upload
      history.
    - Breaks/Replaces for -data package against kstars (<< 5:2.9.4~) for
      moved translations

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Apr 2018 20:22:22 +0100

kstars (5:2.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Minor changes to copyright.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Apr 2018 06:02:31 +0200

kstars (5:2.9.3-1) unstable; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release, as standalone release now.
  * Bump the epoch for the new release version scheme.
  * Update watch to the new location.
  * Update the signining key.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies:
    - explicitly add libkf5auth-dev
    - bump libindi-dev to >= 1.6.1~
  * Update install files, also according to kauth 5.42.0-1~. (Closes: #891163)
  * Stop explicitly passing -DINDI_INCLUDE_DIR to cmake, as the build system
    properly detects the INDI include directories.
  * Remove unwanted files from debian/tmp, and invoke dh_install with
    --fail-missing to make sure no file is forgotten
    - drop not-installed, no more needed now
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch Vcs-* fields to salsa.debian.org.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Mar 2018 17:17:36 +0100

kstars (5:2.9.3-0ubuntu2) bionic; urgency=medium

  * Add breaks/replaces on ancient obsolete l10n packages (LP: #1758051)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Mar 2018 16:28:06 +0000

kstars (5:2.9.3-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (2.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 21:44:00 +0000

kstars (5:2.9.2-0ubuntu1) bionic; urgency=medium

  * New build depend on qtpositioning5-dev
  * Drop aupstream applied switch_test_to_fuzzy_compare.diff
  * New upstream release (2.8.9)
  * Bump epoch for new versioning scheme now kstars is released
    independently from KDE applications
  * New upstream release (2.9.2)
  * Update package description

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Feb 2018 15:50:48 +0000

kstars (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n. (Closes: #883397)
  * Bump Standards-Version to 4.1.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 10:22:28 +0100

kstars (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update package description using Steffen Möller's suggestions as a base.

  [ Pino Toscano ]
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove alternative libcfitsio3-dev build dependency for libcfitsio-dev.
  * Move translations to kstars-data
    - set the proper breaks/replaces
  * Update lintian overrides.
  * Bump the libindi-dev build dependency to >= 1.4.1, as indicated by the
    upstream build system.
  * Drop obsolete dpkg-dev build dependency.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 08:08:07 +0100

kstars (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Re-enable and update switch_test_to_fuzzy_compare.diff

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Dec 2017 08:40:52 +0000

kstars (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Disable switch_test_to_fuzzy_compare.diff - needs fixing
  * Add new files into install file

  [ Rik Mills ]
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:09:56 +0000

kstars (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Add breaks/replaces against the kde-l10n packages
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:30 +0200

kstars (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:03:11 +0000

kstars (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:41:41 +0000

kstars (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add new build depend on libkf5notifyconfig-dev

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Sync QML dependencies with Neon
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:36:38 +0100

kstars (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:23:38 +0000

kstars (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:13 +0000

kstars (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:23:36 +0000

kstars (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:07 +0000

kstars (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)



=== debian/control ===
Source: kstars
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: astrometry.net,
               cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.7.0~),
               gettext,
               kinit-dev,
               libcfitsio-dev (>= 3.040),
               libeigen3-dev (>> 2.0.3),
               libglu1-mesa-dev [!armhf],
               libgsl-dev,
               libindi-dev (>= 1.6.1~),
               libkf5auth-dev (>= 5.42.0-1~),
               libkf5config-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5plotting-dev,
               libkf5texteditor-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libnova-dev,
               libqt5opengl5-dev (>= 5.4),
               libqt5svg5-dev (>= 5.4),
               libraw-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtmultimedia5-dev (>= 5.4),
               wcslib-dev,
               xplanet (>= 1.0),
               zlib1g-dev
Standards-Version: 4.1.4
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars

Package: kstars
Architecture: any
Section: science
Depends: kstars-data (= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter, konqueror
Recommends: astrometry.net, indi-bin, xplanet
Breaks: kstars-data (<= 4:16.04),
        kde-l10n-si (<= 4:4.10.97-0ubuntu1),
        kde-l10n-tg (<= 4:4.11.97-0ubuntu1),
        kde-l10n-th (<= 4:4.10.97-0ubuntu1),
        ${kde-l10n:all}
Replaces: kstars-data (<= 4:16.04),
          kde-l10n-si (<= 4:4.10.97-0ubuntu1),
          kde-l10n-tg (<= 4:4.11.97-0ubuntu1),
          kde-l10n-th (<= 4:4.10.97-0ubuntu1),
          ${kde-l10n:all}
Description: desktop planetarium, observation planning and telescope control
 KStars is a scientifically accurate desktop planetarium, visualising a
 graphical simulation of the night sky from any location on Earth, at any date
 and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids. KStars addresses
 students and amateur astronomers of all levels.
 .
 The database of known objects can be extended and updated from local or
 remote databases, which is prepared for in a user-extendable interface.
 KStars suggests observations of particular interest like conjunctions
 with respect to the location of the user. And for user-selected targets it
 proposes the ones that are best-observable.
 .
 The software may be used for planning experiments around the globe,
 e.g. for remote controlled commercial services. But KStars also
 features an INDI interface to control local telescopes and cameras.
 Users with programming experience can script it via the KDE desktop bus.
 .
 This package is part of the KDE education module.

Package: kstars-data
Architecture: all
Section: science
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends}
Breaks: kstars (<< 5:2.9.4~), ${kde-l10n:all}
Replaces: kstars (<< 5:2.9.4~), ${kde-l10n:all}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# remove development stuff
	find debian/tmp -name '*.a' -delete

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='kstars-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8)
Restrictions: build-needed

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags
# Restrictions: allow-stderr

## kstars 2.9.8

=== debian/changelog ===
kstars (5:2.9.8-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Adjust Breaks/Replaces versions for Kubuntu upload history.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 13:58:41 +0100

kstars (5:2.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_cmake-fix-enabling-of-exceptions.patch: drop, backported from
      upstream
  * Bump Standards-Version to 4.2.0, no changes required.
  * Bump the libindi-dev build dependency to 1.7.4~, to make sure to build
    using the newer INDI version.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Aug 2018 07:13:10 +0200

kstars (5:2.9.8-0ubuntu1) cosmic; urgency=medium

  * New upstream release (2.9.8).
  * Drop upstream applied patches.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 19 Aug 2018 18:31:39 +0100

kstars (5:2.9.7-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Adjust Breaks/Replaces versions for Kubuntu upload history.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 09 Aug 2018 15:15:48 +0100

kstars (5:2.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Add the new libqt5websockets5-dev, and qt5keychain-dev required build
    dependencies; add also libsecret-1-dev as workaround for missing
    dependencies in qt5keychain-dev.
  * Use https for the Homepage.
  * Bump Standards-Version to 4.1.5, no changes required.
  * Backport upstream commit 25630e41c71990d619f9f96693624056a8d89039 to
    properly enable exceptions, and thus build with libraw 0.19.0; patch
    upstream_cmake-fix-enabling-of-exceptions.patch. (Closes: #905034)

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jul 2018 21:08:07 +0200

kstars (5:2.9.6-1ubuntu2) cosmic; urgency=medium

  * Rebuild against kauth 5.47, updating altered kauth helper binary
    installation paths

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 20:18:18 +0100

kstars (5:2.9.6-1ubuntu1) cosmic; urgency=medium

  * Merge with debian unstable. Remaining changes:
    - Breaks/Replaces against KDE l10n packages to suit Kubuntu upload
      history.
    - Breaks/Replaces for -data package against kstars (<< 5:2.9.4~) for
      moved translations
    - kauth_kstars_helper installs to multi-arch location

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 27 May 2018 17:27:36 +0100

kstars (5:2.9.6-1) unstable; urgency=medium

  [ Steffen Möller ]
  * More specific home page, removed reference to KDE Edu.

  [ Pino Toscano ]
  * New upstream release.
  * Update Vcs-* fields.
  * Remove the astrometry.net, and xplanet build dependencies, as they are only
    runtime recommends now.
  * Enable the test suite at build time, as it works fine since this version.
  * Remove the unused autopkgtest stuff.

 -- Pino Toscano <pino@debian.org>  Sun, 27 May 2018 10:17:05 +0200

kstars (5:2.9.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (2.9.6)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 26 May 2018 16:22:44 +0100

kstars (5:2.9.5-1ubuntu1) cosmic; urgency=medium

  * Merge with debian unstable. Remaining changes:
    - debian/patches: kubuntu_disable-KStarsUiTests.patch
    - Kubuntu VCS links
    - Breaks/Replaces against KDE l10n packages to suit Kubuntu upload
      history.
    - Breaks/Replaces for -data package against kstars (<< 5:2.9.4~) for
      moved translations

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 11 May 2018 09:18:17 +0100

kstars (5:2.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump libindi-dev build dependency to >= 1.7.1, as indicated by the upstream
    build system.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Apr 2018 07:27:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: astrometry.net,
-               cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
@@ -13,7 +12,7 @@
                libeigen3-dev (>> 2.0.3),
                libglu1-mesa-dev [!armhf],
                libgsl-dev,
-               libindi-dev (>= 1.6.1~),
+               libindi-dev (>= 1.7.4~),
                libkf5auth-dev (>= 5.42.0-1~),
                libkf5config-dev,
                libkf5crash-dev,
@@ -35,19 +34,21 @@
                libnova-dev,
                libqt5opengl5-dev (>= 5.4),
                libqt5svg5-dev (>= 5.4),
+               libqt5websockets5-dev (>= 5.4),
                libraw-dev,
+               libsecret-1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
+               qt5keychain-dev,
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
                qtmultimedia5-dev (>= 5.4),
                wcslib-dev,
-               xplanet (>= 1.0),
                zlib1g-dev
-Standards-Version: 4.1.4
-Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kstars
+Standards-Version: 4.2.0
+Homepage: https://edu.kde.org/kstars/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kstars
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kstars.git
 
 Package: kstars
 Architecture: any
@@ -86,8 +87,6 @@
  e.g. for remote controlled commercial services. But KStars also
  features an INDI interface to control local telescopes and cameras.
  Users with programming experience can script it via the KDE desktop bus.
- .
- This package is part of the KDE education module.
 
 Package: kstars-data
 Architecture: all
@@ -102,5 +101,3 @@
  This package contains architecture-independent data files for KStars,
  the graphical desktop planetarium for KDE, including star catalogues and
  astronomical images.
- .
- This package is part of the KDE education module.
